function [ p1x p1y p2x p2y X1 Y1 ] = draw_part_to_image_with_parameters( this, ind, z, theta, Ox, Oy, fH, color )
% DRAW_PART_TO_IMAGE_WITH_PARAMETERS
% Plots the part of index ind
%
% Authors: Silvia Zuffi, Department of Computer Science, Brown University
% Contact: zuffi@cs.brown.edu
% $Date: 2012 $
% $Revision: $
%
% Copyright 2011-2012, Brown University, Providence, RI. USA
%
%                          All Rights Reserved
%
% All commercial use of this software, whether direct or indirect, is
% strictly prohibited including, without limitation, incorporation into in
% a commercial product, use in a commercial service, or production of other
% artifacts for commercial purposes.
%
% Permission to use, copy, modify, and distribute this software and its
% documentation for research purposes is hereby granted without fee,
% provided that the above copyright notice appears in all copies and that
% both that copyright notice and this permission notice appear in
% supporting documentation, and that the name of the author and Brown
% University not be used in advertising or publicity pertaining to
% distribution of the software without specific, written prior permission.
%
% For commercial uses contact the Technology Venture Office of Brown University
%
% THE AUTHOR AND BROWN UNIVERSITY DISCLAIM ALL WARRANTIES WITH REGARD TO
% THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
% FITNESS FOR ANY PARTICULAR PURPOSE.  IN NO EVENT SHALL THE AUTHOR OR
% BROWN UNIVERSITY BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
% DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
% PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
% ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
% THIS SOFTWARE.

[ pX pY X1 Y1 ] = this.get_part_points_with_parameters(ind, z, theta, Ox, Oy );
[X1 Y1] = this.world_to_image(X1, Y1);
figure(fH)
hold on
plot(X1(1:60), Y1(1:60), color, 'Linewidth', this.lineWidth);
hold on
plot(X1(61:end), Y1(61:end), color, 'Linewidth', this.lineWidth);

p1x = pX(1);
p1y = pY(1);
p2x = pX(2);
p2y = pY(2);


end

