function [ stick stickCoo ] = get_PS_stickman_from_joints( this, i, pX, pY )
% GET_PS_STICKMAN_FROM_JOINTS
% Computes the sticks length in world space and coordinates in image space
% The PS sticks have the head center on the nose
%
% Paper: "From Pictorial Structures to Deformable Structures", S. Zuffi, O.
% Freifeld, M. Black, CVPR 2012
% Authors: Silvia Zuffi, Department of Computer Science, Brown University
% Contact: zuffi@cs.brown.edu
% $Date: 2012 $
% $Revision: $
%
% Copyright 2011-2012, Brown University, Providence, RI. USA
%
%                          All Rights Reserved
%
% All commercial use of this software, whether direct or indirect, is
% strictly prohibited including, without limitation, incorporation into in
% a commercial product, use in a commercial service, or production of other
% artifacts for commercial purposes.
%
% Permission to use, copy, modify, and distribute this software and its
% documentation for research purposes is hereby granted without fee,
% provided that the above copyright notice appears in all copies and that
% both that copyright notice and this permission notice appear in
% supporting documentation, and that the name of the author and Brown
% University not be used in advertising or publicity pertaining to
% distribution of the software without specific, written prior permission.
%
% For commercial uses contact the Technology Venture Office of Brown University
%
% THE AUTHOR AND BROWN UNIVERSITY DISCLAIM ALL WARRANTIES WITH REGARD TO
% THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
% FITNESS FOR ANY PARTICULAR PURPOSE.  IN NO EVENT SHALL THE AUTHOR OR
% BROWN UNIVERSITY BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
% DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
% PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
% ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
% THIS SOFTWARE.

stick = ( (pX(1)-pX(2))^2 + (pY(1)-pY(2))^2)^0.5;
if i==this.head
    a = atan2(pY(2)-pY(1), pX(2)-pX(1));
    d = stick(i);
    pX(2) = pX(2)+d*cos(a);
    pY(2) = pY(2)+d*sin(a);
    stick(i) = ( (pX(1)-pX(2))^2 + (pY(1)-pY(2))^2)^0.5;
end
[ pX pY ] = this.world_to_image( pX, pY );
stickCoo(1) = pX(1);
stickCoo(2) = pY(1);
stickCoo(3) = pX(2);
stickCoo(4) = pY(2);
end


