% Paper: "From Pictorial Structures to Deformable Structures", S. Zuffi, O.
% Freifeld, M. Black, CVPR 2012
% Authors: Silvia Zuffi, Department of Computer Science, Brown University
% Contact: zuffi@cs.brown.edu
% $Date: 2012 $
% $Revision: $
%
% Copyright 2011-2012, Brown University, Providence, RI. USA
%
%                          All Rights Reserved
%
% All commercial use of this software, whether direct or indirect, is
% strictly prohibited including, without limitation, incorporation into in
% a commercial product, use in a commercial service, or production of other
% artifacts for commercial purposes.
%
% Permission to use, copy, modify, and distribute this software and its
% documentation for research purposes is hereby granted without fee,
% provided that the above copyright notice appears in all copies and that
% both that copyright notice and this permission notice appear in
% supporting documentation, and that the name of the author and Brown
% University not be used in advertising or publicity pertaining to
% distribution of the software without specific, written prior permission.
%
% For commercial uses contact the Technology Venture Office of Brown University
%
% THE AUTHOR AND BROWN UNIVERSITY DISCLAIM ALL WARRANTIES WITH REGARD TO
% THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
% FITNESS FOR ANY PARTICULAR PURPOSE.  IN NO EVENT SHALL THE AUTHOR OR
% BROWN UNIVERSITY BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL
% DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
% PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
% ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
% THIS SOFTWARE.

partName = {'torso', 'head', 'right upper arm', 'left upper arm', ...
            'right upper leg', 'left upper leg', 'right lower arm', ...
            'left lower arm', 'right lower leg', 'left lower leg'};

partNameNoSpaces = {'torso', 'head', 'right_upper_arm', 'left_upper_arm', ...
            'right_upper_leg', 'left_upper_leg', 'right_lower_arm', ...
            'left_lower_arm', 'right_lower_leg', 'left_lower_leg'};

% Define the names of parts where the index is according to my
% numbering of parts, and names are those of CP.
partNameCP = { 'torso', 'head', 'ua_r', 'ua_l', 'ul_r', 'ul_l', 'la_r', 'la_l', ...
    'll_r', 'll_l', 'hand_l', 'hand_r', 'foot_l', 'foot_r'};

% Define the name of the reference and dependent part for each model
fieldNameRef = {'head', 'ua_r', 'ua_l', 'ul_r', 'ul_l', 'torso', 'torso', 'la_r', 'torso', 'la_l', 'torso',...
    'll_r', 'torso', 'll_l', 'ua_r', 'ua_l', 'ul_r', 'ul_l' };

fieldNameDep = {'torso', 'torso', 'torso', 'torso', 'torso', 'head', 'ua_r', 'ua_r',...
    'ua_l', 'ua_l', 'ul_r', 'ul_r', 'ul_l', 'ul_l', 'la_r', 'la_l', 'll_r', 'll_l'};


